> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/external-chat-api/reference/objects/user-value.md).

# User Value

**Example**

```json
{
    "email": "john@dow.com",
    "id": "ca4be988-cc85-4c35-94a4-8558e30c1dd3",
    "image": null,
    "isBot": false,
    "name": "John"
}
```

Identify a user using `email`, user `id`, or `customIdentifier`. At least one of `id`, `email`, or `customIdentifier` must be provided for non-bot authors.

`customIdentifier` - the value is normalized (trimmed and stored in lowercase), so responses may return it in a different case than provided in the request.

If the author is a bot, set the `isBot` property to `true`.

**Identifier precedence:** when multiple identifiers are provided, the system resolves the user in the following order: `id` > `email` > `customIdentifier`. If a user is found by a higher-priority identifier, the remaining ones are ignored for lookup purposes. If both `email` and `customIdentifier` are provided and the user is found by email, the `customIdentifier` will be attached to that user if not already set.

**Fields**

| Field            | Type    | Comments                                                                                                                                                                           |
| ---------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| customIdentifier | string  | Alternative user identifier (e.g., social security number, account number). Can be used instead of `email` or `id`. The value is tnormalized                                       |
| email            | string  | User email address                                                                                                                                                                 |
| id               | Guid    | User id                                                                                                                                                                            |
| image            | string  | User avatar url. Only a properly formed URL will be accepted, otherwise an error will be returned                                                                                  |
| isBot            | boolean | Indicate user type. If `true`, all identifying properties (`id`, `email`, `customIdentifier`) will be ignored, and the Socialboards system bot will be used. By default is `false` |
| name             | string  | User name                                                                                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.socialboards.com/docs/apis/external-chat-api/reference/objects/user-value.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
